


function connectWithPeer(id, runtime){

	globalThis.conn = peer.connect(id);
	
	globalThis.conn.on('open', function() {

		// Receive messages
		globalThis.conn.on('data', function(data) {
		  console.log('Received', data);
		  
		  var username = data.split(';')[0]
		  var message = data.split(';')[1]
		  var type = data.split(';')[2]
		  
		  if(type == 'chat'){	  
			  c3_callFunction('saveMessage',[username,message])
		  }
		  else if(type == 'pos'){
			  c3_callFunction('setOppPos',[message])
		  }
		  else if(type == 'fire'){
			  c3_callFunction('setOppFire',[message])	
		  }		  
		  
		});
		
		globalThis.conn.on('close', function() { 
			console.log('The chat closed due as the peer disconnected')
			runtime.goToLayout('Login')
		});
		
		runtime.goToLayout('Game')
		
  });

}

function sendMessage(message, runtime, type){

	var msg = runtime.globalVars.usernameMy + ';' + message + ';' + type

	globalThis.conn.send(msg);

}

function leave(){

	globalThis.peer.destroy()

}